/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS and SCSS file within this directory, lib/assets/stylesheets, or any plugin's
 * vendor/assets/stylesheets directory can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any other CSS/SCSS
 * files in this directory. Styles in this file should be added after the last require_* statement.
 * It is generally better to create a new file per style scope.
 *
 *= require_tree .
 *= require_self
 */
@import "bootstrap";
@import "dropzone/dropzone";
.body {
  background-color: #fafafa;
  font-size: 14px;
  color: #262626;
}

.navbar {
  background-color: #fff;
  border-bottom: 1px solid rgba(0, 0, 0, 0.0975);
  height: 80px;
}

.core-sprite {
  background-image: image-url("core-sprite-2x.png");
  background-size: 405px 379px;
  background-repeat: no-repeat;
}

.navbar-brand {
  background-position: -176px 0;
  height: 35px;
  width: 176px;
}

.hide-text {
  display: block;
  overflow: hidden;
  text-indent: 200%;
  white-space: nowrap;
}
.explore-icon {
  background-position: -50px -355px;
  height: 24px;
  width: 24px;
}

.notification-icon {
  background-position: -353px -298px;
  height: 24px;
  width: 24px;
}
.profile-icon {
  background-position: -308px -176px;
  height: 24px;
  width: 24px;
}

.nav-item {
  margin-left: 30px;
}

.box {
  background-color: #fff;
  border: 1px solid #e6e6e6;
  border-radius: 1px;
  padding: 10px 0;
  margin: 0 0 10px;
}

.brand-name-img {
  background-position: 0 0;
  height: 51px;
  width: 175px;
}
//landing
.landing-left,
.dummy-phone {
  background-image: image-url("dummy-phone-2x.png");
  background-repeat: no-repeat;
  background-position: right 0;
  background-size: 454px 618px;
  position: relative;
  height: 618px;
  margin-left: -35px;
  margin-right: -15px;
}

.screen-shot {
  position: absolute;
  top: 99px;
  right: 63px;
}

.item {
  position: absolute;
}

.form-login-box,
.form-signup-box {
  width: 350px;
  padding: 0 40px;
  border: 2px solid #efefef;
}
.btn-primary {
  width: 100%;
  line-height: 14px;
  font-size: 14px;
  font-weight: 600;
}
.input {
  border: 1px solid #efefef;
}

.form-check-label {
  padding: 0;
  font-size: 15px;
  color: #262626;
}

.brand-name-img {
  margin: 15%;
}

.redirect-links-box {
  width: 350px;
  border: 1px solid #efefef;
}
.nav-itemf {
  font-size: 12px;
  font-weight: bold;
}
.light-color {
  color: #999;
}

.profile-wrapper {
  padding: 60px;
  border-bottom: 1px;
}

.username {
  font-size: 32px;
  line-height: 40px;
  font-weight: 200;
}
.email {
  font-size: 16px;
  font-weight: bold;
}
.round-img {
  border-radius: 50%;
}
.common-btn {
  height: 28px;
  line-height: 24px;
  padding: 0 24px;
  border-color: #dbdbdb;
  font-size: 14px;
}

.edit-profile-btn {
  margin: 5px 0 0 15px;
  font-weight: bold;
}
.setting {
  margin: 7px 0 0 10px;
  background-color: transparent;
  background-position: -125px -355px;
  height: 24px;
  width: 24px;
  border: none;
}

.post-author-icon {
  height: 40px;
  width: 40px;
  border-radius: 50%;
  margin-right: 10px;
}

//uploading form
.dz-preview .dz-image-preview {
  margin: 2px;
}
.dz-image {
  border-radius: 0px !important;
}
.img {
  widows: 100%;
}
.dz-remove {
  @extend .core-sprite;
  @extend .hide-text;
  position: absolute;
  top: 9px;
  right: 5px;
  z-index: 20;
  width: 18px;
  height: 18px;
  background-position: -386px -25px;
  opacity: 0;
  -webkit-transition: opacity 0.2s liner;
  transition: opacity 0.2s liner;
}

.drzone .dz-remove {
  opacity: 1;
}

.upload-photo-icon {
  height: 120px;
  width: 120px;
  border: 2px dashed #dddfe2;
  border-radius: 2px;
  padding: 48px;
  display: inline-block;
  margin: 2px;
}

.no-text-decoration:hover {
  text-decoration: none;
  color: #262626;
}

.normal-color {
  color: #262626;
}

// post view
.card-header {
  background-color: white;
}
.card-body {
  padding: 5px 16px 5px;
}
.actions {
  margin: 12px 0;
}
.post-time {
  margin-top: 5px;
  font-size: 10px;
}
.comment-input {
  font-size: 14px;
}
.previous-btn {
  background-position: -281px -280px;
  height: 30px;
  opacity: 1;
  width: 30px;
}
.next-btn {
  background-position: -353px 0px;
  height: 30px;
  opacity: 1;
  width: 30px;
}
.love {
  background-position: -325px -329px;
  height: 24px;
  width: 24px;
}
.loved {
  @extend .love;
  background-position: -200px -330px;
}
.comment {
  @extend .love;
  background-position: -258px -175px;
  margin-left: 8px;
}

.search-result-item{
  padding: 15px;

}
.search-result-item:hover {
  background-color: #fafafa;
}